Update several entity castings

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/entities/casting

Modify the casting of several entities of a project in a single request. The request body maps entity ids to casting arrays, each following the same format as the single entity casting route.

Path parameters

  • project_id Required

    Unique identifier of the project

application/json

Body Required

  • * array[object] Additional properties
    Hide * attributes Show * attributes object
    • asset_id string(uuid)

      Asset identifier to link

    • nb_occurences integer

      Number of occurences of the asset

Responses

  • 200 application/json

    Map of entity ids to their updated casting

PUT /data/projects/{project_id}/entities/casting
curl \
 --request PUT 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/entities/casting' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"additionalProperty1":[{"asset_id":"string","nb_occurences":42}],"additionalProperty2":[{"asset_id":"string","nb_occurences":42}]}'
Request examples
{
  "additionalProperty1": [
    {
      "asset_id": "string",
      "nb_occurences": 42
    }
  ],
  "additionalProperty2": [
    {
      "asset_id": "string",
      "nb_occurences": 42
    }
  ]
}
Response examples (200)
{}